<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<% try { // START: DEBUG %>
<%@ page errorPage="/errorPage.jsp" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/citation.tld" prefix="citation" %>

<html:xhtml />
<%@ page import="com.sas.apps.citation.controller.action.CitationDialogAction" %>
<%@ page import="com.sas.apps.citation.util.CommonUtils" %>
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.view.beans.reportbuilder.BuilderImagePropertiesForm" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.CitationButton" %>
<%@ page import="com.sas.apps.citation.view.util.PageErrorProcessor" %>
<%@ page import="com.sas.apps.citation.view.help.HelpUtils" %>
<%@ page import="com.sas.apps.citation.controller.action.reportbuilder.BuilderImagePropertiesDialogAction" %>
<%@page import="com.sas.apps.citation.view.util.ThemeUtils" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator.BeanValidatorXSSException" %>



<html:xhtml />

<jsp:useBean id="builderImagePropertiesDialogForm" class="com.sas.apps.citation.view.beans.reportbuilder.BuilderImagePropertiesForm" scope="session" />


<script type="text/javascript">
/*<![CDATA[*/
function closeSelf()
{
   var winOpener = self.opener;
   if (winOpener != null)
   {
      if (winOpener.cwDialogManager != null)
      {
         winOpener.cwDialogManager.closeDialogWindow( self ); <%-- op succeeded so close the dialog and dispatch WINDOW_CLOSING & WINDOW_CLOSED events --%>
      }
   }
   else
   {
      cwDialogManager.closeDialogWindow( self );
   }
}
/*]]>*/ 
</script>
<%  Object rc = request.getAttribute(BuilderImagePropertiesDialogAction.RESULT_CODE_KEY);
    Object cmdKey = request.getAttribute(CitationDialogAction.DIALOG_CMD_KEY);
    if( CitationDialogAction.RC_SUCCESS.equals(rc)
        && CitationDialogAction.CMD_OK_DIALOG_KEY.equals(cmdKey))
    { %>
<script type="text/javascript">
/*<![CDATA[*/
closeSelf();
/*]]>*/ 
</script>
<%     return; //exit out of service() method. Nothing left to do so everything else is a waste of time.
    }//if( InsertImageAction.RC_SUCCESS.equals(rc) )
    
CitationButton okButton = CitationButton.createStandaloneButton(request, "okButton",
    PagePropertyBean.getLabelWithMnemonic(pageContext,"ok.button.txt"),
    "onOkClick();");
request.setAttribute(CitationButton.OK_DIALOG_BUTTON, okButton);

CitationButton cancelButton = CitationButton.createStandaloneButton(request, "cancelButton",
    PagePropertyBean.getLabelWithMnemonic(pageContext,"cancel.button.txt"),
    "cwDialogManager.cancelSelf();");
request.setAttribute(CitationButton.CANCEL_DIALOG_BUTTON, cancelButton);

HelpUtils.createHelpButton(request, HelpUtils.HELP_BUILDER_SECTION_IMAGE);

String thumbnailImageUrl = builderImagePropertiesDialogForm.getBrowserUrlForSelectedImageThumbnail();
if (thumbnailImageUrl == null) thumbnailImageUrl = "";
//else
//	try   // thumbnailImageUrl is not validatable!!!!
//	{
//		BeanValidator.validateGeneralStringContent(thumbnailImageUrl);
//	} catch (BeanValidatorXSSException e)
//	{
//		throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
//	}

String selectedLocationPath = builderImagePropertiesDialogForm.getSelectedLocationForDisplay(request, response);
if (selectedLocationPath == null) selectedLocationPath = "";
else
	try
	{
		BeanValidator.validateGeneralStringContent(selectedLocationPath);
	} catch (BeanValidatorXSSException e)
	{
		throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
	}
	
String selectedImageName = builderImagePropertiesDialogForm.getSelectedImageNameForDisplay();
if (selectedImageName == null) selectedImageName = "";
else
	try
	{
		BeanValidator.validateGeneralStringContent(selectedImageName);
	} catch (BeanValidatorXSSException e)
	{
		throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
	}
	
String dialogTitleSelectImage = PagePropertyBean.getMessage(pageContext,"builder.section.contents.image.select.image.title.txt");
String dialogTitleSelectDest = PagePropertyBean.getMessage(pageContext,"builder.section.contents.image.select.detsination.title.txt");


%>
<script type="text/javascript" src="scripts/citation_editImage.js"></script>

<script type="text/javascript">
/*<![CDATA[*/
   SizeOptionControl.DEFAULT_SIZE = "<%=BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_DEFAULT_SIZE%>";
   SizeOptionControl.HEIGHT_MAINTAIN_SCALE = "<%=BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_HEIGHT_MAINTAIN_SCALE%>";
   SizeOptionControl.WIDTH_MAINTAIN_SCALE = "<%=BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_WIDTH_MAINTAIN_SCALE%>";
   SizeOptionControl.HEIGHT_WIDTH = "<%=BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_HEIGHT_WIDTH%>";
   
   function openBrowseRepositoryDialog() {
   
       var uploadSelectionObj = findDOM('imageSelectionTypeUpload');
       var submitUrl = "builderBrowseImageRespository.do?dialogCommand=openDialog"
       if (uploadSelectionObj.checked)
          submitUrl = submitUrl + "&wrsSelectionType=<%=BuilderImagePropertiesForm.IMAGE_SELECTION_TYPE_UPLOAD%>" + "&wrsDialogTitle=" + encodeURI("<%=dialogTitleSelectDest%>");
       else
          submitUrl = submitUrl + "&wrsSelectionType=<%=BuilderImagePropertiesForm.IMAGE_SELECTION_TYPE_REPOSITORY%>" + "&wrsDialogTitle=" + encodeURI("<%=dialogTitleSelectImage%>");
       
       cwDialogManager.openDialog(
                           submitUrl, //dlgUrl
                           cwDialogManager.BUILDER_EDIT_IMAGE_NAV, //dlgName
                           cwDialogManager.BUILDER_EDIT_IMAGE_NAV, //dlgFeatures
                           true, //bReplaceUrl
                           true, //bModal
                           false, //bReplaceIfOpen
                           null, //onDlgClosing
                           openBrowseRepositoryDialogReturn //function instance to call when dlg successfully closed                        
                       );
   }
   
   function onOkClick()
   {
      var objForm = document.forms["builderImagePropertiesDialogForm"];

      document.body.style.cursor = "wait"; <%-- until confirmation that overwrite succeeded --%>
      var dialogCommandFormField = findDOM('<%=CitationDialogAction.DIALOG_CMD_KEY%>');
      dialogCommandFormField.value = '<%=CitationDialogAction.CMD_OK_DIALOG_KEY%>';
   
      window.status = '<%=PagePropertyBean.escapeQuotesOnly(PagePropertyBean.getMessage(pageContext,"progress.wait.txt"))%>';
      progressIndicatorStart();
      objForm.submit();
   }

function processImageThumbnailOnPageLoad()
{
   var imageBrowserUrl = "<%=thumbnailImageUrl %>";
   var emptyImageUrl =  '<%=ThemeUtils.getImageSourceURL(request,"wrs_1x1")%>';

   if (!dojo.lang.isEmpty(imageBrowserUrl))
   {
      var thumbnailImageObj = document.getElementById("thumbnailImageElement");
      var noImageTxtElem = document.getElementById("thumbnailImageElement_noImage");
      thumbnailImageObj.src = imageBrowserUrl;
      thumbnailImageObj.style.display="block";
      noImageTxtElem.style.display="none";
   }
   else
   {
      var thumbnailImageObj = document.getElementById("thumbnailImageElement");
      var noImageTxtElem = document.getElementById("thumbnailImageElement_noImage");
      thumbnailImageObj.src = emptyImageUrl;
      thumbnailImageObj.style.display="none";
      noImageTxtElem.style.display="block";

   }
   
}


function openBrowseRepositoryDialogReturn()
{
   showDebugMsgs("openBrowseRepositoryDialogReturn", "return from Remote file selector dialog");
   var continuation0 = function() {
      onProcessSelectedInfoDisplay(); 
   }
   
   window.setTimeout(continuation0, 0);
}


function onProcessSelectedInfoDisplay()
{
   var uploadSelectionObj = findDOM('imageSelectionTypeUpload');
   if (uploadSelectionObj != null && !uploadSelectionObj.checked)
   {
   	showDebugMsgs("onProcessSelectedInfoDisplay", "\n\n\n Processing thumbnail request on return");
   	dojo.io.bind({
   	   url: "builderImageProperties.do?dialogCommand=applyDialog&applyCommand=processThumbnailRequest",
   	   handle: function(type, data, evt){onProcessThumbnailReturn(type, data, evt);},
   	   mimetype: "text/plain"
  	});
   }	
   else if (uploadSelectionObj != null && uploadSelectionObj.checked)
   {
   	showDebugMsgs("onProcessSelectedInfoDisplay", "\n\n\n Processing selected destination request on return");
   	dojo.io.bind({
   	   url: "builderImageProperties.do?dialogCommand=applyDialog&applyCommand=processImageDestinationRequest",
   	   handle: function(type, data, evt){onProcessImageDestinationReturn(type, data, evt);},
   	   mimetype: "text/plain"
  	});
   
   }

}

function onProcessThumbnailReturn(type, data, evt)
{
   showDebugMsgs("onProcessThumbnailReturn", "\n\n\n RETURN FROM processing thumbnail request. Type=" + type + "\n data=\n" + data);
   if (type == "load" && !dojo.lang.isEmpty(data))
   {
      var imageName = "";
      var index = data.search(/ImageName=/i);
      if (index != -1)
      {
         imageName = data.substring(11,data.indexOf(']'));
      }
      var index = data.search(/ImageUrl=/i);
      if (index != -1)
      {
         imageBrowserUrl = data.substring(index+10,data.length-1);
      }
      
      if (!dojo.lang.isEmpty(imageBrowserUrl))
      {
         var thumbnailImageObj = document.getElementById("thumbnailImageElement");
         var noImageTxtElem = document.getElementById("thumbnailImageElement_noImage");
         var browserUrlForSelectedImageThumbnailObj = document.getElementById("browserUrlForSelectedImageThumbnail");
         if (!dojo.lang.isEmpty(imageBrowserUrl))
            thumbnailImageObj.src = imageBrowserUrl;
         thumbnailImageObj.style.display="block";
         noImageTxtElem.style.display="none";
         browserUrlForSelectedImageThumbnailObj.value=imageBrowserUrl;
      }

      if (!dojo.lang.isEmpty(imageName))
      {
         var noImageNameTxtElem = findDOM("selectedImageNoNameElement");
         var imageNameTxtElem = findDOM('selectedImageNameElement');
         imageNameTxtElem.style.display="block";
         noImageNameTxtElem.style.display="none";
         imageNameTxtElem.innerHTML=imageName;
      }
   }
}


function onProcessImageDestinationReturn(type, data, evt)
{

   showDebugMsgs("onProcessImageDestinationReturn", "\n\n\n RETURN FROM processing image destination request. Type=" + type + "\n data=\n" + data);
   if (type == "load" && !dojo.lang.isEmpty(data))
   {
      if (!dojo.lang.isEmpty(data))
      {
         var noImageDestTxtElem = findDOM("noImageDestSelectedText");
         var imageDestTxtElem = findDOM('imageDestSelectedText');
         imageDestTxtElem.style.display="block";
         noImageDestTxtElem.style.display="none";
         imageDestTxtElem.innerHTML=data;
      }
   }
}


   function updateFormControlsState() {
   
       var uploadSelectionObj = findDOM('imageSelectionTypeUpload');
       
       // Get BUTTON elements
       var uploadFileElem = findDOM('uploadedImageFile');
       var browseReposUploadButtonElem = findDOM('browseReposUploadButton');
       var browseReposButtonElem = findDOM('browseReposButton');

       // Get FIELDSET elements
       var uploadFieldsetElem = findDOM('uploadFieldset');
       var reposFieldsetElem = findDOM('repositoryFieldset');
       
       // Get LABEL elements
       var layoutCell_uploadImageFileSpecificationElem = findDOM('layoutCell_uploadImageFileSpecification');
       var noImageDestSelectedTextElem = findDOM('noImageDestSelectedText');
       var imageDestSelectedTextElem = findDOM('imageDestSelectedText');
       var reposImageFileSpecificationInputLabelElem = findDOM('reposImageFileSpecificationInputLabel');
       var selectedImageNoNameElementElem = findDOM('selectedImageNoNameElement');
       var selectedImageNameElementElem = findDOM('selectedImageNameElement');
       var imageDestSelectedTextLabelElem = findDOM('imageDestSelectedTextLabel');


       if (uploadSelectionObj.checked)
       {
          uploadFileElem.disabled=false;
          
          setButtonState(null, "browseReposUploadButton", setButtonState.ENABLED );
          setButtonState(null, "browseReposButton", setButtonState.DISABLED );
          
          browseReposUploadButtonElem.disabled=false;
          browseReposButtonElem.disabled=true;
          layoutCell_uploadImageFileSpecificationElem.className="label";
          noImageDestSelectedTextElem.className="label";
          imageDestSelectedTextElem.className="label";
          imageDestSelectedTextLabelElem.className="label";
          
          reposImageFileSpecificationInputLabelElem.className="labeldisabled";
          selectedImageNoNameElementElem.className="labeldisabled";
          selectedImageNameElementElem.className="labeldisabled";
          
          uploadFieldsetElem.className="dialogFieldset";
          reposFieldsetElem.className="dialogFieldsetDisabled";
       }   
       else
       {
          uploadFileElem.disabled=true;

          setButtonState(null, "browseReposUploadButton", setButtonState.DISABLED );
          setButtonState(null, "browseReposButton", setButtonState.ENABLED );

          layoutCell_uploadImageFileSpecificationElem.className="labeldisabled";
          noImageDestSelectedTextElem.className="labeldisabled";
          imageDestSelectedTextElem.className="labeldisabled";
          imageDestSelectedTextLabelElem.className="labeldisabled";
          
          reposImageFileSpecificationInputLabelElem.className="label";
          selectedImageNoNameElementElem.className="label";
          selectedImageNameElementElem.className="label";
          
          uploadFieldsetElem.className="dialogFieldsetDisabled";
          reposFieldsetElem.className="dialogFieldset";
          
       }
   }

 function imageUploadChanged()
 {
    var uploadName = findDOM("uploadImageNameText");
    var uploadField = findDOM("uploadedImageFile");
    var newImage = uploadField.value;
    if (!dojo.lang.isEmpty(newImage))
    {
      uploadName.value = extractFileName(newImage);
    }
      updateOkButtonState();
      updateFormControlsState();
 }

<%-- Method to be called by confirmation dialog logic in citationTemplate. 
Implementation for this page handles confirmation for overwriting image files. --%>
function handleCitationWebConfirmation(goAhead)
{
    if( goAhead ) {
        var objForm = document.forms['builderImagePropertiesDialogForm'];
        objForm.elements["overwriteImageFileConfirmed"].value = "TRUE";
        objForm.submit();
    }
    else
    {
       var uploadName = findDOM("uploadImageNameText");
       uploadName.value = "";
       var objForm = document.forms['builderImagePropertiesDialogForm'];
       objForm.elements["overwriteImageFileConfirmed"].value = "FALSE";
    }
}

dojo.addOnLoad(processImageThumbnailOnPageLoad);
dojo.addOnLoad(updateFormControlsState);


/*]]>*/ 
</script>

  <citation:form action="/builderImageProperties.do" method="post" enctype="multipart/form-data">

    <%-- the uploadImageTextName is here so we can pass the name as clean UTF-8 encoded
         text and not have to use the Struts FileForm class scrambled name.  --%>
    <html:hidden name="builderImagePropertiesDialogForm" property="imageNameText" styleId="uploadImageNameText"/>
    <html:hidden property="overwriteImageFileConfirmed" styleId= "overwriteImageFileConfirmed" value="<%= new Boolean(false).toString() %>"/>


    <input type="hidden" id="<%=CitationDialogAction.DIALOG_CMD_KEY %>" name="<%=CitationDialogAction.DIALOG_CMD_KEY %>" value="<%=CitationDialogAction.CMD_OK_DIALOG_KEY%>"/>
    <input type="hidden" id="<%=BuilderImagePropertiesDialogAction.APPLY_COMMAND %>" name="<%=BuilderImagePropertiesDialogAction.APPLY_COMMAND %>" value=""/>
    <html:hidden property="browserUrlForSelectedImageThumbnail" styleId="browserUrlForSelectedImageThumbnail"/>


  <table border="0" cellpadding="0" cellspacing="0" summary="" width="100%">
    <tr>
      <td colspan="4" class="linePadding">&nbsp;</td>
    </tr>  
    <tr>
      <td colspan="3" class="layoutCell_imageSelectionTypeCtrl" style="white-space:nowrap;text-align:left;">
          <span class="header">
             <bean:message key="edit.report.image.properties.label.image.selection.type.txt"/>
          </span>
      </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>


    <tr>
      <td colspan="3" class="layoutCell_imageSelectionTypeCtrl" style="white-space:nowrap;text-align:left;"> 
          <span class="dialogSpacer">&nbsp;</span>
   
          <html:radio property="imageSelectionType"
            value="<%=BuilderImagePropertiesForm.IMAGE_SELECTION_TYPE_UPLOAD%>"
            styleId="imageSelectionTypeUpload" styleClass="radiobutton"
            titleKey="edit.report.image.properties.image.selection.type.local.machine.tooltip.txt"
            onclick="updateFormControlsState();"/>

          <label for="imageSelectionTypeUpload" class="label"
            title="<%=CommonUtils.htmlEncodeForDisplay(PagePropertyBean.getLabel(pageContext, 
              "edit.report.image.properties.image.selection.type.local.machine.tooltip.txt"))%>">
              <bean:message key="edit.report.image.properties.image.selection.type.local.machine.txt"/>
          </label>

      </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>

    <tr>
      <td class="dialogSpacer">&nbsp;</td>

      <td colspan="2" style="white-space:nowrap;text-align:left;width:100%;">   

             <fieldset id="uploadFieldset" class="dialogFieldset" style="width:600px;text-align:left;">
                <table border="0" cellspacing="0" cellpadding="2" style="width:100%;text-align:left;" summary="">
                    <tr>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td id="layoutCell_uploadImageFileSpecification" style="white-space:nowrap;text-align:left;">
                          <span id="uploadImageFileSpecificationInputLabel" class="label">
		             <bean:message key="edit.report.image.properties.label.image.upload.source.txt"/>
		          </span>
                       </td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td style="width:100%;text-align:left;">
                          <html:file property="uploadedImageFile"
                          onkeypress="imageUploadChanged();"
                          onchange="imageUploadChanged();"
                          styleId="uploadedImageFile"
                          style="width:350px;"
                          size="43px"/>
                       </td>
                    </tr>
                    <tr>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td style="white-space:nowrap;text-align:left;">
                           <span class="label" id="imageDestSelectedTextLabel">
                              <bean:message key="edit.report.image.properties.label.image.upload.destination.txt"/>
                           </span>
                        </td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td>
                       
        <% 
                            boolean showSelectedDestination = 
		               !CommonUtils.isEmptyOrWhiteSpace(selectedLocationPath);
         %> 
                          <span id="noImageDestSelectedText" style="display:<%=(showSelectedDestination ? "none" : "block")%>;" class="label">
                              <bean:message key="edit.report.image.properties.destination.placeholder.txt"/>
                          </span>
                          <span id="imageDestSelectedText" style="display:<%=(showSelectedDestination ? "block" : "none")%>;" class="label">
                              <%=selectedLocationPath%>
                          </span>

                       </td>
                    </tr>
                    <tr>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td style="width:100%;text-align:left;">

      <% 
      
                           CitationButton browseReposUploadButton = CitationButton.createStandaloneButton(request, "browseReposUploadButton",
                           PagePropertyBean.getLabelWithMnemonic(pageContext,"edit.report.image.properties.label.select.image.destination.button.txt"),
                          "javascript:openBrowseRepositoryDialog();");
                           browseReposUploadButton.write(out);
       %>     
                       </td>
                    </tr>
               </table>
            </fieldset>
      </td>      
      <td class="dialogSpacer">&nbsp;</td>
    </tr>



    <tr>
      <td colspan="3" class="layoutCell_imageSelectionTypeCtrl" style="white-space:nowrap;text-align:left;">    
          <span class="dialogSpacer">&nbsp;</span>
          <html:radio property="imageSelectionType"
                value="<%=BuilderImagePropertiesForm.IMAGE_SELECTION_TYPE_REPOSITORY%>"
                styleId="imageSelectionTypeRepository" styleClass="radiobutton"
                titleKey="edit.report.image.properties.image.selection.type.repository.tooltip.txt"
                onclick="updateFormControlsState();"/>

          <label for="imageSelectionTypeRepository" class="label"
              title="<%=CommonUtils.htmlEncodeForDisplay(PagePropertyBean.getLabel(pageContext, 
               "edit.report.image.properties.image.selection.type.repository.tooltip.txt"))%>">
              <bean:message key="edit.report.image.properties.image.selection.type.repository.txt"/>
          </label>

     </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>


    <tr>

      <td class="dialogSpacer">&nbsp;</td>
      <td colspan="2" style="white-space:nowrap;text-align:left;width:100%;">    

             <fieldset id="repositoryFieldset" class="dialogFieldset" style="width:600px;text-align:left;">
                <table border="0" cellspacing="0" cellpadding="2" style="width:100%;text-align:left;" summary="">
                    <tr>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td id="layoutCell_reposImageFileSpecification" style="white-space:nowrap;text-align:left;">
                          <span id="reposImageFileSpecificationInputLabel" class="label">
		             <bean:message key="edit.report.image.properties.label.image.select.from.repository.source.txt"/>
		          </span>
                       </td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td style="text-align:left;">
                       
        <%
                       boolean showSelectedImageName = 
		          !CommonUtils.isEmptyOrWhiteSpace(selectedImageName);
        %>   
                          <span id="selectedImageNoNameElement" class="labelUnmargined" style="display:<%=(showSelectedImageName ? "none" : "block")%>;">
                             <%=CommonUtils.htmlEncodeForDisplay(PagePropertyBean.getLabel(pageContext, 
                               "edit.report.image.properties.thumbnail.placeholder.txt"))%>
                          </span>
                          <span id="selectedImageNameElement" class="labelUnmargined" style="display:<%=(showSelectedImageName ? "block" : "none")%>;">
                             <%=selectedImageName%>
                          </span>   
                       </td>
                    </tr>   
                    <tr>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td class="dialogSpacer">&nbsp;</td>
                       <td style="width:100%;text-align:left;">

      <% 
      
                           CitationButton browseReposButton = CitationButton.createStandaloneButton(request, "browseReposButton",
                           PagePropertyBean.getLabelWithMnemonic(pageContext,"edit.report.image.properties.label.select.image.button.txt"),
                          "javascript:openBrowseRepositoryDialog();");
                           browseReposButton.write(out);
       %>     
                       </td>
                    </tr>

                    <tr>
                       <td class="dialogSpacer" colspan="3">&nbsp;</td>
                       <td>
		      <div id="selectedImageThumbnailContainer" style="display:block;white-space:normal;">
			<div id="thumbnailContainer_imageSelected">
			  <span id="thumbnailImageElement_noImage" class="label" style="white-space:normal;display:block;">
			<%=CommonUtils.htmlEncodeForDisplay(PagePropertyBean.getLabel(pageContext, "edit.report.image.properties.thumbnail.placeholder.txt"))%>

			  </span>

			  <img src="<%=ThemeUtils.getImageSourceURL(request,"wrs_1x1")%>" id="thumbnailImageElement" alt=""  style="display:none;"/>
			</div>

		      </div>


                       </td>
                    </tr>   
                    <tr>
                     <td colspan="4" class="linePadding">&nbsp;</td>
                    </tr>  
               </table>
            </fieldset>
      </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>

    <tr>
      <td colspan="4" class="linePadding">&nbsp;</td>
    </tr>  


    <tr>
      <td style="white-space:nowrap;text-align:left;">    
          <span class="label"><bean:message key="edit.report.image.properties.label.sizing.options.control.txt"/></span>
      </td>
      <td class="dialogSpacer">&nbsp;</td>
      <td class="layoutCell_uploadImageCtrls" style="white-space:nowrap;text-align:left;width:100%">
	    <html:select property="imageSizingOption" styleId="sizeTypeDropdown_uploadImage" styleClass="dropdown" 
	      style="width:600px;text-align:left;"
	      onchange="cwPageScopeObject.uploadImageSizeOptionControl.updateControlState();">
	      <html:option value="<%=Integer.toString(BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_DEFAULT_SIZE)%>">
		<bean:message key="edit.report.image.properties.label.sizing.option.default.size.txt"/>
	      </html:option>
	      <html:option value="<%=Integer.toString(BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_HEIGHT_MAINTAIN_SCALE)%>">
		<bean:message key="edit.report.image.properties.label.sizing.option.height.maintain.scale.txt"/>
	      </html:option>
	      <html:option value="<%=Integer.toString(BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_WIDTH_MAINTAIN_SCALE)%>">
		<bean:message key="edit.report.image.properties.label.sizing.option.width.maintain.scale.txt"/>
	      </html:option>
	      <html:option value="<%=Integer.toString(BuilderImagePropertiesForm.IMAGE_SIZING_OPTION_HEIGHT_WIDTH)%>">
		<bean:message key="edit.report.image.properties.label.sizing.option.height.width.txt"/>
	      </html:option>
	    </html:select>
      </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>

    <tr>
      <td colspan="4" class="linePadding">&nbsp;</td>
    </tr>  

    <tr>
      <td class="dialogSpacer">&nbsp;</td>
      <td class="dialogSpacer">&nbsp;</td>
      <td style="white-space:nowrap;text-align:left;width:100%">
      
        <fieldset class="dialogFieldset" style="width:596px;text-align:left;">
	<table border="0" cellspacing="0" cellpadding="2" style="text-align:left;" summary="">
	    <tr>
	       <td class="layoutCell_imageSizeDimensionLabel" style="white-space:nowrap;text-align:left;">
                    <label id="uploadImageHeightCtrl_label" for="uploadImageHeightCtrl" class="label">
                      <bean:message key="edit.report.image.properties.label.image.height.input.txt"/>
                    </label>
	       </td>
	       <td class="dialogSpacer">&nbsp;</td>
	       <td style="text-align:left;">
		   <html:text property="imageHeight" styleId="uploadImageHeightCtrl" styleClass="textentry"/>
	       </td>
	       <td style="white-space:nowrap;text-align:left;">    
                    <span id="uploadImageHeightCtrl_unitsLabel" class="label">
                    <bean:message key="edit.report.image.properties.label.size.units.txt"/>
                    </span>
	       </td>

	    </tr> 
	    <tr>
	       <td class="layoutCell_imageSizeDimensionLabel" style="white-space:nowrap;text-align:left;">
                    <label id="uploadImageWidthCtrl_label" for="uploadImageWidthCtrl" class="label">
                      <bean:message key="edit.report.image.properties.label.image.width.input.txt"/>
                    </label>
	       </td>
	       <td class="dialogSpacer">&nbsp;</td>
	       <td style="text-align:left;">
		   <html:text property="imageWidth" styleId="uploadImageWidthCtrl" styleClass="textentry"/>
	       </td>
	       <td style="white-space:nowrap;text-align:left;">    
                    <span id="uploadImageWidthCtrl_unitsLabel" class="label">
                    <bean:message key="edit.report.image.properties.label.size.units.txt"/>
                    </span>
	       </td>

	    </tr> 
       </table>
         </fieldset>       


      </td>
      <td class="dialogSpacer">&nbsp;</td>
    </tr>


    <tr>
      <td colspan="4" class="linePadding">&nbsp;</td>
    </tr>  


    <tr>
      <td class="layoutCell_uploadImageCtrlLabels" style="white-space:nowrap;text-align:left;">    
          <label for="uploadImageTooltipCtrl" class="label">
              <bean:message key="edit.report.image.properties.label.image.tooltip.input.txt"/>
          </label>
      </td>
      <td class="dialogSpacer">&nbsp;</td>
      <td class="layoutCell_uploadImageCtrls" style="white-space:nowrap;text-align:left;width:100%">
              <html:text property="imageTooltip" styleId="uploadImageTooltipCtrl" styleClass="textentry" style="width:596px;text-align:left;"
                  maxlength="<%=Integer.toString(builderImagePropertiesDialogForm.getMaxTooltipLength())%>"/>
      </td>


      <td class="dialogSpacer">&nbsp;</td>
    </tr>

  </table>   

<script type="text/javascript">
/*<![CDATA[*/
	        var tooltipInput = findDOM("uploadImageTooltipCtrl");
	        var maxUploadTooltipLengthListener = new ProhibitedCharacterListener(tooltipInput, g_regExpInvalidWebChars, {limit:<%=builderImagePropertiesDialogForm.getMaxTooltipLength()%>});
                cwPageScopeObject.uploadImageSizeOptionControl = new SizeOptionControl("sizeTypeDropdown_uploadImage", "uploadImageHeightCtrl", "uploadImageWidthCtrl");
                cwPageScopeObject.uploadImageSizeOptionControl.updateControlState(); <%-- initial rendered state --%>
/*]]>*/ 
</script>

  </citation:form>
<% } catch (Exception ex) {
    PageErrorProcessor.setJspError(ex, pageContext, out);
} // END: DEBUG %>
