<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>

<%@ page errorPage="/empty.html" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<html:xhtml />
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.List" %>
<%@ page import="javax.servlet.http.HttpServletRequest" %>

<%@ page import="org.apache.struts.util.LabelValueBean" %>

<%@ page import="com.sas.apps.citation.model.user.SessionScopeManager" %>
<%@ page import="com.sas.apps.citation.util.CommonUtils" %>
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.view.beans.datetime.DateTimeFieldForm" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.section.relational.EditFilterFormUiAdapter" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.relational.datetime.DateValueForm" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.relational.datetime.PeriodType" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.relational.datetime.RelativeDateValueAlias" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.relational.datetime.RelationalTimeConditionFormInterface" %>
<%@ page import="com.sas.apps.citation.view.beans.filterrank.relational.datetime.RelationalTimeConditionFormProviderInterface" %>
<%@ page import="com.sas.apps.citation.view.contentgeneration.filterrank.relational.RelationalTimeConditionPanelContentGenerator" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.datetime.DateTimeFieldSelector" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator" %>
<%@ page import="com.sas.apps.citation.view.beans.BeanValidator.BeanValidatorXSSException" %>


<%!

static final String JSP_INCLUDE_ROOT_FILTER_FILE_PATH = "/tiles-components/filterViewElement";    

static final boolean _IS_DEBUG = false;
%>
<%
try
{
    SessionScopeManager smgr = SessionScopeManager.getSessionScopeManager(request);
    String panelId = request.getParameter(RelationalTimeConditionPanelContentGenerator.TIME_CONDITION_PANEL_ID);
    String timeConditionProviderName = request.getParameter(RelationalTimeConditionPanelContentGenerator.TIME_CONDITION_PROVIDER_KEY);
    String panelInitRequest = request.getParameter(RelationalTimeConditionPanelContentGenerator.INIT_PANEL);
	
	try
	{
		BeanValidator.validateGeneralStringContent(panelId);
		BeanValidator.validateGeneralStringContent(timeConditionProviderName);
		BeanValidator.validateGeneralStringContent(panelInitRequest);
	} catch (BeanValidatorXSSException e)
	{
		throw new IllegalArgumentException("SECURITY VIOLATION: potential cross-site scripting detected");
	}

    boolean doPanelInit = panelInitRequest == null || "TRUE".equalsIgnoreCase(panelInitRequest);

    if (_IS_DEBUG) {
        System.out.println("Processing request to render relational time condition panel... [panel id := " 
            + panelId + "]");

        System.out.println("Fetching RelationalTimeConditionFormProviderInterface from session using key := " + timeConditionProviderName);
    }
    
    RelationalTimeConditionFormProviderInterface timeConditionFormProvider = (RelationalTimeConditionFormProviderInterface)
        session.getAttribute(timeConditionProviderName);
    RelationalTimeConditionFormInterface timeConditionForm = timeConditionFormProvider.getRelationalTimeConditionForm();
    
    //string to serve as root of all ids generated for ctrls within panel
    //To start the provider name doubles as the id.
    
    // #########################################################################################
    // build control names & ids
    //  - note names are the property names relative to the timeConditionProvider
    //  - ids are all prefixed with name of timeConditionProvider
    // ##########################################################################################
    String operatorSelectorProperty = RelationalTimeConditionPanelContentGenerator.OPERATOR_PROPERTY;
    
    String simpleComparisonValueOptionsPropertyName               = RelationalTimeConditionPanelContentGenerator.SIMPLE_COMP_VALUE_OPTION_PROPERTY;
    String simpleComparisonRelativeDateAliasSelectorPropertyName  = RelationalTimeConditionPanelContentGenerator.SIMPLE_COMP_RELATIVE_DATE_ALIAS_PROPERTY;
    String simpleComparisonRelativeNPeriodMultiplierPropertyName  = RelationalTimeConditionPanelContentGenerator.SIMPLE_COMP_RELATIVE_N_PERIODS_MULTIPLIER_PROPERTY;
    String simpleComparisonRelativeNPeriodsPeriodTypePropertyName = RelationalTimeConditionPanelContentGenerator.SIMPLE_COMP_RELATIVE_N_PERIOD_TYPE_PROPERTY;
    String simpleComparisonExplicitDatePropertyName               = RelationalTimeConditionPanelContentGenerator.SIMPLE_COMP_EXPLICIT_DATE_PROPERTY;

    String operatorSelectorId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_OPERATOR_SELECTOR_ID;    
    String simpleComparisonValueOptionsContainerId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_VALUE_OPTIONS_CONTAINER_ID;
    String simpleComparisonValueOptionExplicitId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_VALUE_OPTION_EXPLICIT_ID;
    String simpleComparisonValueOptionRelativeId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_VALUE_OPTION_RELATIVE_ID; 
    String simpleComparisonRelativeDateAliasSelectorId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_RELATIVE_DATE_ALIAS_SELECTOR_ID;
    String simpleComparisonRelativeNPeriodsContainerId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_RELATIVE_N_PERIODS_CONTAINER_ID;
    String simpleComparisonRelativeNPeriodMultiplierId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_RELATIVE_N_PERIODS_MULTIPLIER_ID;
    String simpleComparisonRelativeNPeriodsPeriodTypeSelectorId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_RELATIVE_N_PERIODS_PERIOD_TYPE_SELECTOR_ID;
    String simpleComparisonExplicitValueOptionsContainerId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_SIMPLE_COMP_EXPLICIT_VALUE_OPTIONS_CONTAINER_ID;

    String onOperatorChange = panelId + ".onOperatorChange();";
    String onSimpleComparisonDateValueCategoryChange = panelId + ".onSimpleComparisonDateValueCategoryChange();";
    String onSimpleComparisonRelativeDateValueTypeChange = panelId + ".onSimpleComparisonRelativeDateValueTypeChange();";
    String onSimpleComparisonRelativeNPeriodTypeChange = panelId + ".onSimpleComparisonRelativeNPeriodTypeChange();";
    
    String betweenComparisonValueOptionsContainerId = timeConditionProviderName + RelationalTimeConditionPanelContentGenerator.CORE_BETWEEN_VALUE_OPTIONS_CONTAINER_ID;
    
    RelationalTimeConditionPanelContentGenerator.
        writeSharedPanelContent(
            timeConditionForm, 
            out, 
            (HttpServletRequest)pageContext.getRequest());
    
    boolean isRelativeTimeFilteringAllowed = timeConditionForm.getDateValue().isRelativeTimeFilteringAllowed();
%>
<table style="width:70%; text-align:left;" cellpadding="0" cellspacing="0" border="0" summary="">
    <tr>
        <td class="timeCondition_ctrlLabelContainer"><label for="<%=operatorSelectorId%>" class="header"><bean:message key="filter.operator.txt"/></label></td>
        <td class="timeCondition_ctrlContainer" style="text-align: left;">
            <html:select property="<%=operatorSelectorProperty%>" 
                  styleId="<%=operatorSelectorId%>"
	              styleClass="dropdown"
	              style="width:80%;"
	              value="<%= timeConditionForm.getOperatorSelector().getOperator() %>"
	              onchange="<%=onOperatorChange%>">
	        <%
	            List allowedOperatorsList = timeConditionForm.getAllowedOperators();
                for (Iterator allowedOperators = allowedOperatorsList.iterator(); allowedOperators.hasNext(); ) 
                {
                    //only Strings for now
                    LabelValueBean operatorEntry = (LabelValueBean) allowedOperators.next();
                    String optValue = operatorEntry.getValue();
                    String optLabelKey = operatorEntry.getLabel();
                    String optLabel = PagePropertyBean.getLabel(pageContext, optLabelKey);
            %>
                    <html:option value="<%= optValue %>">
                        <%= optLabel %>
                    </html:option>
            <%
                }
            %>
            </html:select>
        </td>
    </tr>
    <tr><td class="linePadding" colspan="2">&nbsp;</td></tr>             
    <tr id="<%=simpleComparisonValueOptionsContainerId%>">
        <td class="timeCondition_ctrlLabelContainer" style="width: 10%; vertical-align: top;">
            <span class="header"><bean:message key="filter.value.txt"/></span>
        </td>
        <td class="timeCondition_ctrlContainer" style="width: 90%; text-align: left;">
            <table style="width: 100%;" cellpadding="0" cellspacing="0" border="0" summary="" >
                <tr style='display:<%= (isRelativeTimeFilteringAllowed) ? "block" : "none" %>'>
                    <td colspan="2" class="timeCondition_relativeDateValueCtrlContainer" style="white-space:nowrap;">
                        <html:radio property="<%=simpleComparisonValueOptionsPropertyName%>" 
                                    styleId="<%=simpleComparisonValueOptionRelativeId%>" style="vertical-align:top;"
                                    value="<%=DateValueForm.VALUE_TYPE_CATEGORY_RELATIVE%>"
                                    disabled="<%=!isRelativeTimeFilteringAllowed%>"
                                    onclick="<%=onSimpleComparisonDateValueCategoryChange%>"/>
                        <label for="<%=simpleComparisonValueOptionRelativeId%>" class="label" style="vertical-align:top;"><bean:message key="rankAndFilter.filter.date.relative.date.radio.label.txt"/></label>
                        <html:select property="<%=simpleComparisonRelativeDateAliasSelectorPropertyName%>" 
                              styleId="<%=simpleComparisonRelativeDateAliasSelectorId%>"
                              styleClass="dropdown" style="vertical-align:top;"
                              onchange="<%=onSimpleComparisonRelativeDateValueTypeChange%>">
                        <%
                            int dateAliasCount = timeConditionForm.getRelativeDateValueAliasCount();
                            for (int dateAliasIndex=0; dateAliasIndex<dateAliasCount; dateAliasIndex++)
			                {
			                    LabelValueBean dateAlias = timeConditionForm.getRelativeDateValueAlias(dateAliasIndex);
			            %>
			                    <html:option value="<%=dateAlias.getValue()%>">
			                        <%=CommonUtils.htmlEncodeForDisplay(dateAlias.getLabel())%>
			                    </html:option>
			            <%
			                }
			            %>
                        </html:select>
                    </td>
                </tr>
                <tr id="<%=simpleComparisonRelativeNPeriodsContainerId%>">
                    <td colspan="2" class="timeCondition_relativeDateValueCtrlContainer" style="white-space:nowrap;">
                        <html:text property="<%=simpleComparisonRelativeNPeriodMultiplierPropertyName%>"
                              size="5" style="margin-left:10px;margin-right:5px;"
                              styleId="<%=simpleComparisonRelativeNPeriodMultiplierId%>" 
                              styleClass="timeCondition_relativeNPeriodsMultiplier" onkeypress="handleEnter(this, event);"/>
                        <html:select property="<%=simpleComparisonRelativeNPeriodsPeriodTypePropertyName%>"
                              styleId="<%=simpleComparisonRelativeNPeriodsPeriodTypeSelectorId%>" 
                              styleClass="timeCondition_relativeNPeriodTypeDropdown"
                              onchange="<%=onSimpleComparisonRelativeNPeriodTypeChange%>">
                        <%
                            PeriodType [] periodTypes;
                            if (timeConditionForm.isTimeDataItem()) {
                                periodTypes = PeriodType.getTimeTypes();
                            } else if (timeConditionForm.isTimestampDataItem()) { 
                                periodTypes = PeriodType.getTimestampTypes();
                            } else { //assume date
                                periodTypes = PeriodType.getDateTypes();
                            }
                            int periodTypeCount = periodTypes.length;
                            for (int periodTypeIndex=0; periodTypeIndex<periodTypeCount; periodTypeIndex++)
			                {
			                    String periodTypeValue = periodTypes[periodTypeIndex].getValue();
			                    String periodTypeLabel = periodTypes[periodTypeIndex].getLabel(smgr.getLocale());
			            %>
			                    <html:option value="<%=periodTypeValue%>">
			                        <%=CommonUtils.htmlEncodeForDisplay(periodTypeLabel)%>
			                    </html:option>
			            <%
			                }    
			            %>                
                        </html:select>
                    </td>
                </tr>
                <tr style='display:<%= (isRelativeTimeFilteringAllowed) ? "block" : "none" %>'>
                    <td colspan="2" class="timeCondition_relativeDateValueCtrlContainer" style="white-space;nowrap;">
                        <html:radio property="<%=simpleComparisonValueOptionsPropertyName%>" 
                                    styleId="<%=simpleComparisonValueOptionExplicitId%>" style="vertical-align:top;"
                                    value="<%=DateValueForm.VALUE_TYPE_CATEGORY_EXPLICIT%>"
                                    onclick="<%=onSimpleComparisonDateValueCategoryChange%>"/>
                        <label for="<%=simpleComparisonValueOptionExplicitId%>" class="label"><bean:message key="rankAndFilter.filter.date.fixed.date.radio.label.txt"/></label>
                   </td>
                </tr>
                <tr id="<%=simpleComparisonExplicitValueOptionsContainerId%>">
	            <%
	                //labels for date fields; we obtain labels from the value editor
	                DateValueForm dateValueForm = timeConditionForm.getDateValue();
	                DateTimeFieldForm dtBean = dateValueForm.getExplicitDate();
	                DateTimeFieldSelector dateComparisonValueEditor = EditFilterFormUiAdapter
	                    .newDateComparisonValueEditor(dtBean, 
	                        simpleComparisonExplicitDatePropertyName,
	                        pageContext);
	            %>
			        <td colspan="2">
			            <table style="width: 100%;" cellpadding="0" cellspacing="0" border="0" summary="" >
			               <tr>
		                    <td class="timeCondition_ctrlLabelContainer" style="padding-right:10px;">
		                    <%
		                    String labelsTemplate = DateTimeFieldSelector.getDefaultLabelsTemplate(dateComparisonValueEditor.getEditorConfiguration());
		                    dateComparisonValueEditor.writeComponentLabels(out, labelsTemplate);
		                    %>
		                    </td>
		                    <td class="timeCondition_ctrlContainer" >
		                    <% dateComparisonValueEditor.write(out); %>
		                    </td><!-- _end date time field editor -->
		                   </tr>
		                </table>
		             </td>
                </tr>
	            <%
	                dateComparisonValueEditor.cleanUpResources();
	            %>
            </table>
        </td>
    </tr><%-- id="simpleComparisonValueOptionsContainerId" --%>
    
    <script type="text/javascript"> /*<![CDATA[*/
        var <%=panelId%> = new WRSRelationalTimeConditionPanel();
        
        <%=panelId%>.define = function ()
        {
            this._operatorSelector = findDOM("<%=operatorSelectorId%>");
        
            this._simpleComparisonFieldSet = new WRSRelationalTimeSimpleComparisonOperatorFieldSet();
            this._simpleComparisonFieldSet._fieldSetContainerId = "<%=simpleComparisonValueOptionsContainerId%>";
       
            var scDateValueOptionsFieldSet = new WRSDateValueOptionsFieldSet("<%=simpleComparisonValueOptionsPropertyName%>");
            this._simpleComparisonFieldSet._dateValueOptionsFieldSet = scDateValueOptionsFieldSet;
                  
            var scRelativeDateValueFieldSet = new WRSRelativeDateValueFieldSet("<%=simpleComparisonRelativeDateAliasSelectorId%>");
            scRelativeDateValueFieldSet.setId("<%=simpleComparisonValueOptionRelativeId%>");
            scDateValueOptionsFieldSet._relativeDateOptionsFieldSet = scRelativeDateValueFieldSet;
       
            <%-- 
            N periods field set - a dynamic field set with no explicit subclass of WRSFieldSet
            --%>
            var scRelativeNPeriodsFieldSet = new WRSRelativeNPeriodInfoFieldSet();
            scRelativeNPeriodsFieldSet._fieldSetContainerId = "<%=simpleComparisonRelativeNPeriodsContainerId%>";
            scRelativeNPeriodsFieldSet._periodMultiplierFieldId = "<%=simpleComparisonRelativeNPeriodMultiplierId%>";
            scRelativeNPeriodsFieldSet._periodTypeSelectorId = "<%=simpleComparisonRelativeNPeriodsPeriodTypeSelectorId%>";
            scRelativeDateValueFieldSet.setEntry("<%=RelativeDateValueAlias.N_PERIODS_AGO.getValue()%>", scRelativeNPeriodsFieldSet);
            scRelativeDateValueFieldSet.setEntry("<%=RelativeDateValueAlias.N_PERIODS_FROM_NOW.getValue()%>", scRelativeNPeriodsFieldSet);
         
            var scExplicitDateValueFieldSet = new WRSExplicitDateValueFieldSet();
            scExplicitDateValueFieldSet.setId("<%=simpleComparisonValueOptionExplicitId%>");
            scExplicitDateValueFieldSet._fieldSetContainerId = "<%=simpleComparisonExplicitValueOptionsContainerId%>";
            scExplicitDateValueFieldSet._explicitDatePropertyName = "<%=simpleComparisonExplicitDatePropertyName%>";
            scDateValueOptionsFieldSet._explicitDateOptionsFieldSet = scExplicitDateValueFieldSet;
        
            <%--
              $$ betweenComparisonFieldSet $$ must be defined before includes of min and max editors since
              those editors will add field sets to the aggregate between field set. 
            --%>
            this._betweenComparisonFieldSet = new WRSRelationalTimeBetweenOperatorFieldSet();
            this._betweenComparisonFieldSet._fieldSetContainerId = "<%=betweenComparisonValueOptionsContainerId%>";
        
        }
        
        <%=panelId%>.define();		        
    /*]]>*/ </script>
    <%-- SPECIALIZED 'between' controls for date time --%>
    <%
        String endPointEditorPanelLocation = JSP_INCLUDE_ROOT_FILTER_FILE_PATH + "/relationalBetweenTimesEndPointEditorPanel.jsp";
    %>
    <tr id="<%=betweenComparisonValueOptionsContainerId%>" style="display:none;">
        <td colspan="2" style="width: 100%; text-align: left;">
            <table style="width:100%;" cellpadding="0" cellspacing="0" border="0" summary="" >
                <tr>
                    <td class="timeCondition_betweenDateValueEndPointContainer">
	                    <jsp:include page="<%=endPointEditorPanelLocation%>">
				            <jsp:param name="TIME_RANGE_END_POINT_TYPE_KEY" value="<%=RelationalTimeConditionPanelContentGenerator.TIME_RANGE_END_POINT_TYPE_MIN%>" />
				            <jsp:param name="TIME_CONDITION_PROVIDER_KEY" value="<%=timeConditionProviderName%>" />
				            <jsp:param name="TIME_CONDITION_PANEL_ID" value="<%=panelId%>" />
    	                </jsp:include>
	                </td>
	            </tr>
    			<tr><td class="linePadding">&nbsp;</td></tr>             
	            <tr>
                    <td class="timeCondition_betweenDateValueEndPointContainer">
	                    <jsp:include page="<%=endPointEditorPanelLocation%>">
				            <jsp:param name="TIME_RANGE_END_POINT_TYPE_KEY" value="<%=RelationalTimeConditionPanelContentGenerator.TIME_RANGE_END_POINT_TYPE_MAX%>" />
				            <jsp:param name="TIME_CONDITION_PROVIDER_KEY" value="<%=timeConditionProviderName%>" />	
				            <jsp:param name="TIME_CONDITION_PANEL_ID" value="<%=panelId%>" />			            
    	                </jsp:include>
	                </td>
                </tr>
            </table>
        </td>
    </tr>
    <script type="text/javascript"> /*<![CDATA[*/
        <%--
        cannot add container to field set until it exist in the document
        
        dateBetweenFieldSet.addEntry(findDOM("dateBetweenOperatorFields"));

        INITIALIZATION OF THE JS PANEL IS THE ONLY REMAINING STEP. THE CALLER
        MAY CHOOSE TO PERFORM THIS ONLY AFTER THE ENCLOSING PAGE HAS BEEN LOADED.
        THUS WE ALLOW THEM TO TURN OFF THIS BEHAVIOR WHICH OCCURS BY DEFAULT
        --%>
        <% if (doPanelInit) { %>
        <%=panelId%>.initialize();
        <% } %>
    /*]]>*/ </script>
</table>

<%
}catch(Exception myWRSExc)
{
    myWRSExc.printStackTrace();
}
%>
